Package org.eclipse.emf.cdo.view

# Interface CDOFeatureAnalyzer

public interface CDOFeatureAnalyzer
A call-back interface that is called by a `view` on each model read access.

Since:
  2.0
Author:
  Simon McDuff

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOFeatureAnalyzer`
`NOOP`

## Method Summary

Modifier and Type
Method
Description
`void`
`postTraverseFeature(CDOObject revision, EStructuralFeature feature, int index, Object value)`
`void`
`preTraverseFeature(CDOObject revision, EStructuralFeature feature, int index)`

## Field Details

### NOOP

static final CDOFeatureAnalyzer NOOP

## Method Details

### preTraverseFeature

void preTraverseFeature(CDOObject revision, EStructuralFeature feature, int index)

### postTraverseFeature

void postTraverseFeature(CDOObject revision, EStructuralFeature feature, int index, Object value)